<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfProductFirstNightPrice ArrayType
 * @subpackage Arrays
 */
class ArrayOfProductFirstNightPrice extends AbstractStructArrayBase
{
    /**
     * The productFirstNightPrice
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\ProductFirstNightPrice[]
     */
    public $productFirstNightPrice;
    /**
     * Constructor method for ArrayOfProductFirstNightPrice
     * @uses ArrayOfProductFirstNightPrice::setProductFirstNightPrice()
     * @param \StructType\ProductFirstNightPrice[] $productFirstNightPrice
     */
    public function __construct(array $productFirstNightPrice = array())
    {
        $this
            ->setProductFirstNightPrice($productFirstNightPrice);
    }
    /**
     * Get productFirstNightPrice value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\ProductFirstNightPrice[]|null
     */
    public function getProductFirstNightPrice()
    {
        return isset($this->productFirstNightPrice) ? $this->productFirstNightPrice : null;
    }
    /**
     * This method is responsible for validating the values passed to the setProductFirstNightPrice method
     * This method is willingly generated in order to preserve the one-line inline validation within the setProductFirstNightPrice method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateProductFirstNightPriceForArrayConstraintsFromSetProductFirstNightPrice(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfProductFirstNightPriceProductFirstNightPriceItem) {
            // validation for constraint: itemType
            if (!$arrayOfProductFirstNightPriceProductFirstNightPriceItem instanceof \StructType\ProductFirstNightPrice) {
                $invalidValues[] = is_object($arrayOfProductFirstNightPriceProductFirstNightPriceItem) ? get_class($arrayOfProductFirstNightPriceProductFirstNightPriceItem) : sprintf('%s(%s)', gettype($arrayOfProductFirstNightPriceProductFirstNightPriceItem), var_export($arrayOfProductFirstNightPriceProductFirstNightPriceItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The productFirstNightPrice property can only contain items of type \StructType\ProductFirstNightPrice, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set productFirstNightPrice value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\ProductFirstNightPrice[] $productFirstNightPrice
     * @return \ArrayType\ArrayOfProductFirstNightPrice
     */
    public function setProductFirstNightPrice(array $productFirstNightPrice = array())
    {
        // validation for constraint: array
        if ('' !== ($productFirstNightPriceArrayErrorMessage = self::validateProductFirstNightPriceForArrayConstraintsFromSetProductFirstNightPrice($productFirstNightPrice))) {
            throw new \InvalidArgumentException($productFirstNightPriceArrayErrorMessage, __LINE__);
        }
        if (is_null($productFirstNightPrice) || (is_array($productFirstNightPrice) && empty($productFirstNightPrice))) {
            unset($this->productFirstNightPrice);
        } else {
            $this->productFirstNightPrice = $productFirstNightPrice;
        }
        return $this;
    }
    /**
     * Add item to productFirstNightPrice value
     * @throws \InvalidArgumentException
     * @param \StructType\ProductFirstNightPrice $item
     * @return \ArrayType\ArrayOfProductFirstNightPrice
     */
    public function addToProductFirstNightPrice(\StructType\ProductFirstNightPrice $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\ProductFirstNightPrice) {
            throw new \InvalidArgumentException(sprintf('The productFirstNightPrice property can only contain items of type \StructType\ProductFirstNightPrice, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->productFirstNightPrice[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\ProductFirstNightPrice|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\ProductFirstNightPrice|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\ProductFirstNightPrice|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\ProductFirstNightPrice|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\ProductFirstNightPrice|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string productFirstNightPrice
     */
    public function getAttributeName()
    {
        return 'productFirstNightPrice';
    }
}
