<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfStartingFromPriceFileFilter ArrayType
 * @subpackage Arrays
 */
class ArrayOfStartingFromPriceFileFilter extends AbstractStructArrayBase
{
    /**
     * The StartingFromPriceFileFilter
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\StartingFromPriceFileFilter[]
     */
    public $StartingFromPriceFileFilter;
    /**
     * Constructor method for ArrayOfStartingFromPriceFileFilter
     * @uses ArrayOfStartingFromPriceFileFilter::setStartingFromPriceFileFilter()
     * @param \StructType\StartingFromPriceFileFilter[] $startingFromPriceFileFilter
     */
    public function __construct(array $startingFromPriceFileFilter = array())
    {
        $this
            ->setStartingFromPriceFileFilter($startingFromPriceFileFilter);
    }
    /**
     * Get StartingFromPriceFileFilter value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\StartingFromPriceFileFilter[]|null
     */
    public function getStartingFromPriceFileFilter()
    {
        return isset($this->StartingFromPriceFileFilter) ? $this->StartingFromPriceFileFilter : null;
    }
    /**
     * This method is responsible for validating the values passed to the setStartingFromPriceFileFilter method
     * This method is willingly generated in order to preserve the one-line inline validation within the setStartingFromPriceFileFilter method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateStartingFromPriceFileFilterForArrayConstraintsFromSetStartingFromPriceFileFilter(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfStartingFromPriceFileFilterStartingFromPriceFileFilterItem) {
            // validation for constraint: itemType
            if (!$arrayOfStartingFromPriceFileFilterStartingFromPriceFileFilterItem instanceof \StructType\StartingFromPriceFileFilter) {
                $invalidValues[] = is_object($arrayOfStartingFromPriceFileFilterStartingFromPriceFileFilterItem) ? get_class($arrayOfStartingFromPriceFileFilterStartingFromPriceFileFilterItem) : sprintf('%s(%s)', gettype($arrayOfStartingFromPriceFileFilterStartingFromPriceFileFilterItem), var_export($arrayOfStartingFromPriceFileFilterStartingFromPriceFileFilterItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The StartingFromPriceFileFilter property can only contain items of type \StructType\StartingFromPriceFileFilter, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set StartingFromPriceFileFilter value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\StartingFromPriceFileFilter[] $startingFromPriceFileFilter
     * @return \ArrayType\ArrayOfStartingFromPriceFileFilter
     */
    public function setStartingFromPriceFileFilter(array $startingFromPriceFileFilter = array())
    {
        // validation for constraint: array
        if ('' !== ($startingFromPriceFileFilterArrayErrorMessage = self::validateStartingFromPriceFileFilterForArrayConstraintsFromSetStartingFromPriceFileFilter($startingFromPriceFileFilter))) {
            throw new \InvalidArgumentException($startingFromPriceFileFilterArrayErrorMessage, __LINE__);
        }
        if (is_null($startingFromPriceFileFilter) || (is_array($startingFromPriceFileFilter) && empty($startingFromPriceFileFilter))) {
            unset($this->StartingFromPriceFileFilter);
        } else {
            $this->StartingFromPriceFileFilter = $startingFromPriceFileFilter;
        }
        return $this;
    }
    /**
     * Add item to StartingFromPriceFileFilter value
     * @throws \InvalidArgumentException
     * @param \StructType\StartingFromPriceFileFilter $item
     * @return \ArrayType\ArrayOfStartingFromPriceFileFilter
     */
    public function addToStartingFromPriceFileFilter(\StructType\StartingFromPriceFileFilter $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\StartingFromPriceFileFilter) {
            throw new \InvalidArgumentException(sprintf('The StartingFromPriceFileFilter property can only contain items of type \StructType\StartingFromPriceFileFilter, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->StartingFromPriceFileFilter[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\StartingFromPriceFileFilter|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\StartingFromPriceFileFilter|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\StartingFromPriceFileFilter|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\StartingFromPriceFileFilter|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\StartingFromPriceFileFilter|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string StartingFromPriceFileFilter
     */
    public function getAttributeName()
    {
        return 'StartingFromPriceFileFilter';
    }
}
