<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfTunnelAccompanyingPerson ArrayType
 * @subpackage Arrays
 */
class ArrayOfTunnelAccompanyingPerson extends AbstractStructArrayBase
{
    /**
     * The TunnelAccompanyingPerson
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\TunnelAccompanyingPerson[]
     */
    public $TunnelAccompanyingPerson;
    /**
     * Constructor method for ArrayOfTunnelAccompanyingPerson
     * @uses ArrayOfTunnelAccompanyingPerson::setTunnelAccompanyingPerson()
     * @param \StructType\TunnelAccompanyingPerson[] $tunnelAccompanyingPerson
     */
    public function __construct(array $tunnelAccompanyingPerson = array())
    {
        $this
            ->setTunnelAccompanyingPerson($tunnelAccompanyingPerson);
    }
    /**
     * Get TunnelAccompanyingPerson value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\TunnelAccompanyingPerson[]|null
     */
    public function getTunnelAccompanyingPerson()
    {
        return isset($this->TunnelAccompanyingPerson) ? $this->TunnelAccompanyingPerson : null;
    }
    /**
     * This method is responsible for validating the values passed to the setTunnelAccompanyingPerson method
     * This method is willingly generated in order to preserve the one-line inline validation within the setTunnelAccompanyingPerson method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateTunnelAccompanyingPersonForArrayConstraintsFromSetTunnelAccompanyingPerson(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfTunnelAccompanyingPersonTunnelAccompanyingPersonItem) {
            // validation for constraint: itemType
            if (!$arrayOfTunnelAccompanyingPersonTunnelAccompanyingPersonItem instanceof \StructType\TunnelAccompanyingPerson) {
                $invalidValues[] = is_object($arrayOfTunnelAccompanyingPersonTunnelAccompanyingPersonItem) ? get_class($arrayOfTunnelAccompanyingPersonTunnelAccompanyingPersonItem) : sprintf('%s(%s)', gettype($arrayOfTunnelAccompanyingPersonTunnelAccompanyingPersonItem), var_export($arrayOfTunnelAccompanyingPersonTunnelAccompanyingPersonItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The TunnelAccompanyingPerson property can only contain items of type \StructType\TunnelAccompanyingPerson, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set TunnelAccompanyingPerson value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\TunnelAccompanyingPerson[] $tunnelAccompanyingPerson
     * @return \ArrayType\ArrayOfTunnelAccompanyingPerson
     */
    public function setTunnelAccompanyingPerson(array $tunnelAccompanyingPerson = array())
    {
        // validation for constraint: array
        if ('' !== ($tunnelAccompanyingPersonArrayErrorMessage = self::validateTunnelAccompanyingPersonForArrayConstraintsFromSetTunnelAccompanyingPerson($tunnelAccompanyingPerson))) {
            throw new \InvalidArgumentException($tunnelAccompanyingPersonArrayErrorMessage, __LINE__);
        }
        if (is_null($tunnelAccompanyingPerson) || (is_array($tunnelAccompanyingPerson) && empty($tunnelAccompanyingPerson))) {
            unset($this->TunnelAccompanyingPerson);
        } else {
            $this->TunnelAccompanyingPerson = $tunnelAccompanyingPerson;
        }
        return $this;
    }
    /**
     * Add item to TunnelAccompanyingPerson value
     * @throws \InvalidArgumentException
     * @param \StructType\TunnelAccompanyingPerson $item
     * @return \ArrayType\ArrayOfTunnelAccompanyingPerson
     */
    public function addToTunnelAccompanyingPerson(\StructType\TunnelAccompanyingPerson $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\TunnelAccompanyingPerson) {
            throw new \InvalidArgumentException(sprintf('The TunnelAccompanyingPerson property can only contain items of type \StructType\TunnelAccompanyingPerson, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->TunnelAccompanyingPerson[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\TunnelAccompanyingPerson|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\TunnelAccompanyingPerson|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\TunnelAccompanyingPerson|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\TunnelAccompanyingPerson|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\TunnelAccompanyingPerson|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string TunnelAccompanyingPerson
     */
    public function getAttributeName()
    {
        return 'TunnelAccompanyingPerson';
    }
}
