<?php
/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'GetLastMinuteOffers' => '\\StructType\\GetLastMinuteOffers',
            'WSUser' => '\\StructType\\WSUser',
            'EstablishmentFilter' => '\\StructType\\EstablishmentFilter',
            'ArrayOfInt' => '\\ArrayType\\ArrayOfInt',
            'ArrayOfService' => '\\ArrayType\\ArrayOfService',
            'Service' => '\\StructType\\Service',
            'ArrayOfString' => '\\ArrayType\\ArrayOfString',
            'ProductFilter' => '\\StructType\\ProductFilter',
            'ArrayOfProductType' => '\\ArrayType\\ArrayOfProductType',
            'ArrayOfProductInventoryFilter' => '\\ArrayType\\ArrayOfProductInventoryFilter',
            'productInventoryFilter' => '\\StructType\\ProductInventoryFilter',
            'ArrayOfDetailedPersonFilter' => '\\ArrayType\\ArrayOfDetailedPersonFilter',
            'DetailedPersonFilter' => '\\StructType\\DetailedPersonFilter',
            'GeographicalFilter' => '\\StructType\\GeographicalFilter',
            'Gps' => '\\StructType\\Gps',
            'ArrayOfTerritorial' => '\\ArrayType\\ArrayOfTerritorial',
            'Territorial' => '\\StructType\\Territorial',
            'ArrayOfLong' => '\\ArrayType\\ArrayOfLong',
            'UfiFilter' => '\\StructType\\UfiFilter',
            'DateFilter' => '\\StructType\\DateFilter',
            'ArrayOfBasicPeriod' => '\\ArrayType\\ArrayOfBasicPeriod',
            'BasicPeriod' => '\\StructType\\BasicPeriod',
            'SpecialOfferFilter' => '\\StructType\\SpecialOfferFilter',
            'ArrayOfSeasonEnum' => '\\ArrayType\\ArrayOfSeasonEnum',
            'ArrayOfTypeOS' => '\\ArrayType\\ArrayOfTypeOS',
            'ResultInfo' => '\\StructType\\ResultInfo',
            'CompleteInfoProduct' => '\\StructType\\CompleteInfoProduct',
            'CompleteOfferSortByThematic' => '\\StructType\\CompleteOfferSortByThematic',
            'BestOfferByBestAdministrativeZone1' => '\\StructType\\BestOfferByBestAdministrativeZone1',
            'BestOfferInSpecificRadius' => '\\StructType\\BestOfferInSpecificRadius',
            'GetLastMinuteOffersResponse' => '\\StructType\\GetLastMinuteOffersResponse',
            'LastMinute' => '\\StructType\\LastMinute',
            'Solution' => '\\StructType\\Solution',
            'ArrayOfOffer' => '\\ArrayType\\ArrayOfOffer',
            'Offer' => '\\StructType\\Offer',
            'ArrayOfEstablishment' => '\\ArrayType\\ArrayOfEstablishment',
            'Establishment' => '\\StructType\\Establishment',
            'ArrayOfPricesInfo' => '\\ArrayType\\ArrayOfPricesInfo',
            'PricesInfo' => '\\StructType\\PricesInfo',
            'establishmentInfo' => '\\StructType\\EstablishmentInfo',
            'baseEntityInfo' => '\\StructType\\BaseEntityInfo',
            'photoInfo' => '\\StructType\\PhotoInfo',
            'itemInfo' => '\\StructType\\ItemInfo',
            'itemTypeValue' => '\\StructType\\ItemTypeValue',
            'TranslatedStringValue' => '\\StructType\\TranslatedStringValue',
            'StringValue' => '\\StructType\\StringValue',
            'TranslatedTextValue' => '\\StructType\\TranslatedTextValue',
            'AttributeTypeRegroupement' => '\\StructType\\AttributeTypeRegroupement',
            'TimeSlotValue' => '\\StructType\\TimeSlotValue',
            'DateFromToValue' => '\\StructType\\DateFromToValue',
            'NumericIntegerValue' => '\\StructType\\NumericIntegerValue',
            'NumericDecimalValue' => '\\StructType\\NumericDecimalValue',
            'MonthFromToValue' => '\\StructType\\MonthFromToValue',
            'AttributeTypeListItem' => '\\StructType\\AttributeTypeListItem',
            'integerList' => '\\StructType\\IntegerList',
            'AttributeTypeListeEntity' => '\\StructType\\AttributeTypeListeEntity',
            'ListItemValue' => '\\StructType\\ListItemValue',
            'AttributeTypeListeChoixMultiple' => '\\StructType\\AttributeTypeListeChoixMultiple',
            'TimeValue' => '\\StructType\\TimeValue',
            'HighSeasonAndDistanceValue' => '\\StructType\\HighSeasonAndDistanceValue',
            'DateValue' => '\\StructType\\DateValue',
            'DateTimeValue' => '\\StructType\\DateTimeValue',
            'BooleenValue' => '\\StructType\\BooleenValue',
            'BlocAssistantValue' => '\\StructType\\BlocAssistantValue',
            'AssistantValue' => '\\StructType\\AssistantValue',
            'ActiveValue' => '\\StructType\\ActiveValue',
            'GroupValue' => '\\StructType\\GroupValue',
            'entityInfo' => '\\StructType\\EntityInfo',
            'photoFormat' => '\\StructType\\PhotoFormat',
            'thematicInfo' => '\\StructType\\ThematicInfo',
            'ArrayOfTextInfo' => '\\ArrayType\\ArrayOfTextInfo',
            'textInfo' => '\\StructType\\TextInfo',
            'textPhotoInfo' => '\\StructType\\TextPhotoInfo',
            'productInfo' => '\\StructType\\ProductInfo',
            'MarketingTag' => '\\StructType\\MarketingTag',
            'ArrayOfEstablishmentPaymentMeanContext' => '\\ArrayType\\ArrayOfEstablishmentPaymentMeanContext',
            'EstablishmentPaymentMeanContext' => '\\StructType\\EstablishmentPaymentMeanContext',
            'ArrayOfEstablishmentPaymentMean' => '\\ArrayType\\ArrayOfEstablishmentPaymentMean',
            'EstablishmentPaymentMean' => '\\StructType\\EstablishmentPaymentMean',
            'ArrayOfPaymentMeanSuspensionDate' => '\\ArrayType\\ArrayOfPaymentMeanSuspensionDate',
            'PaymentMeanSuspensionDate' => '\\StructType\\PaymentMeanSuspensionDate',
            'ArrayOfProduct' => '\\ArrayType\\ArrayOfProduct',
            'Product' => '\\StructType\\Product',
            'OfferSortByThematic' => '\\StructType\\OfferSortByThematic',
            'ArrayOfOfferByReductionPrice' => '\\ArrayType\\ArrayOfOfferByReductionPrice',
            'OfferByReductionPrice' => '\\StructType\\OfferByReductionPrice',
            'ArrayOfOfferByAdministrativeZone1' => '\\ArrayType\\ArrayOfOfferByAdministrativeZone1',
            'OfferByAdministrativeZone1' => '\\StructType\\OfferByAdministrativeZone1',
            'ArrayOfInt1' => '\\ArrayType\\ArrayOfInt1',
            'ArrayOfStars' => '\\ArrayType\\ArrayOfStars',
            'Stars' => '\\StructType\\Stars',
            'ArrayOfCountry' => '\\ArrayType\\ArrayOfCountry',
            'Country' => '\\StructType\\Country',
            'ArrayOfAdministrativeZone1' => '\\ArrayType\\ArrayOfAdministrativeZone1',
            'AdministrativeZone1' => '\\StructType\\AdministrativeZone1',
            'ArrayOfSubTypeProduct' => '\\ArrayType\\ArrayOfSubTypeProduct',
            'SubTypeProduct' => '\\StructType\\SubTypeProduct',
            'GetProductsPlanning' => '\\StructType\\GetProductsPlanning',
            'GetProductsPlanningResponse' => '\\StructType\\GetProductsPlanningResponse',
            'PlanningResponse' => '\\StructType\\PlanningResponse',
            'ArrayOfProductPlanning' => '\\ArrayType\\ArrayOfProductPlanning',
            'ProductPlanning' => '\\StructType\\ProductPlanning',
            'ArrayOfAvailabilityPeriod' => '\\ArrayType\\ArrayOfAvailabilityPeriod',
            'AvailabilityPeriod' => '\\StructType\\AvailabilityPeriod',
            'GetStartingFromPriceList' => '\\StructType\\GetStartingFromPriceList',
            'GetStartingFromPriceListResponse' => '\\StructType\\GetStartingFromPriceListResponse',
            'StartingFromPriceFileList' => '\\StructType\\StartingFromPriceFileList',
            'ArrayOfStartingFromPriceFile' => '\\ArrayType\\ArrayOfStartingFromPriceFile',
            'StartingFromPriceFile' => '\\StructType\\StartingFromPriceFile',
            'ArrayOfAvailabilityInformations' => '\\ArrayType\\ArrayOfAvailabilityInformations',
            'availabilityInformations' => '\\StructType\\AvailabilityInformations',
            'establishmentInformation' => '\\StructType\\EstablishmentInformation',
            'lastUpdate' => '\\StructType\\LastUpdate',
            'ArrayOfString1' => '\\ArrayType\\ArrayOfString1',
            'IBSSpecificInformations' => '\\StructType\\IBSSpecificInformations',
            'redirectionPayingGroup' => '\\StructType\\RedirectionPayingGroup',
            'ArrayOfProductInformations' => '\\ArrayType\\ArrayOfProductInformations',
            'productInformations' => '\\StructType\\ProductInformations',
            'ArrayOfProductPeriod' => '\\ArrayType\\ArrayOfProductPeriod',
            'productPeriod' => '\\StructType\\ProductPeriod',
            'conditions' => '\\StructType\\Conditions',
            'ArrayOfDay' => '\\ArrayType\\ArrayOfDay',
            'day' => '\\StructType\\Day',
            'ArrayOfOption' => '\\ArrayType\\ArrayOfOption',
            'option' => '\\StructType\\Option',
            'ArrayOfOptionPeriod' => '\\ArrayType\\ArrayOfOptionPeriod',
            'OptionPeriod' => '\\StructType\\OptionPeriod',
            'ArrayOfProductWeekEndPrice' => '\\ArrayType\\ArrayOfProductWeekEndPrice',
            'productWeekEndPrice' => '\\StructType\\ProductWeekEndPrice',
            'ArrayOfProductFirstNightPrice' => '\\ArrayType\\ArrayOfProductFirstNightPrice',
            'productFirstNightPrice' => '\\StructType\\ProductFirstNightPrice',
            'ArrayOfProductShortStayPrice' => '\\ArrayType\\ArrayOfProductShortStayPrice',
            'productShortStayPrice' => '\\StructType\\ProductShortStayPrice',
            'ArrayOfPicture' => '\\ArrayType\\ArrayOfPicture',
            'picture' => '\\StructType\\Picture',
            'productAvailabilityDate' => '\\StructType\\ProductAvailabilityDate',
            'searchAlternativeReason' => '\\StructType\\SearchAlternativeReason',
            'ArrayOfDayOfWeek' => '\\ArrayType\\ArrayOfDayOfWeek',
            'productPrice' => '\\StructType\\ProductPrice',
            'productSpecialOffer' => '\\StructType\\ProductSpecialOffer',
            'engineSpecialOffer' => '\\StructType\\EngineSpecialOffer',
            'secureHolidayProductAvailabilitySpecifications' => '\\StructType\\SecureHolidayProductAvailabilitySpecifications',
            'ArrayOfProductPricing' => '\\ArrayType\\ArrayOfProductPricing',
            'productPricing' => '\\StructType\\ProductPricing',
            'ArrayOfOptionSelected' => '\\ArrayType\\ArrayOfOptionSelected',
            'OptionSelected' => '\\StructType\\OptionSelected',
            'ArrayOfSpecificCustomerOption' => '\\ArrayType\\ArrayOfSpecificCustomerOption',
            'SpecificCustomerOption' => '\\StructType\\SpecificCustomerOption',
            'ArrayOfPeriod' => '\\ArrayType\\ArrayOfPeriod',
            'Period' => '\\StructType\\Period',
            'ArrayOfStartingFromPriceFileFilter' => '\\ArrayType\\ArrayOfStartingFromPriceFileFilter',
            'StartingFromPriceFileFilter' => '\\StructType\\StartingFromPriceFileFilter',
            'SaveAbandonementCart' => '\\StructType\\SaveAbandonementCart',
            'AbandonementCartRequest' => '\\StructType\\AbandonementCartRequest',
            'ArrayOfOption1' => '\\ArrayType\\ArrayOfOption1',
            'Option' => '\\StructType\\Option_1',
            'InfoPicth' => '\\StructType\\InfoPicth',
            'ArrayOfAccompanyingPersonCartData' => '\\ArrayType\\ArrayOfAccompanyingPersonCartData',
            'AccompanyingPersonCartData' => '\\StructType\\AccompanyingPersonCartData',
            'ArrayOfInsurance' => '\\ArrayType\\ArrayOfInsurance',
            'Insurance' => '\\StructType\\Insurance',
            'SaveAbandonementCartResponse' => '\\StructType\\SaveAbandonementCartResponse',
            'GetAbandonementCart' => '\\StructType\\GetAbandonementCart',
            'GetAbandonementCartResponse' => '\\StructType\\GetAbandonementCartResponse',
            'AbandonementCartInformations' => '\\StructType\\AbandonementCartInformations',
            'TunnelOriginalBooking' => '\\StructType\\TunnelOriginalBooking',
            'TunnelSpecialParams' => '\\StructType\\TunnelSpecialParams',
            'ArrayOfTunnelOption' => '\\ArrayType\\ArrayOfTunnelOption',
            'TunnelOption' => '\\StructType\\TunnelOption',
            'TunnelCartPrices' => '\\StructType\\TunnelCartPrices',
            'TunnelStay' => '\\StructType\\TunnelStay',
            'TunnelCartInformation' => '\\StructType\\TunnelCartInformation',
            'InformationPitch' => '\\StructType\\InformationPitch',
            'ArrayOfSimpleInsurance' => '\\ArrayType\\ArrayOfSimpleInsurance',
            'SimpleInsurance' => '\\StructType\\SimpleInsurance',
            'LabelName' => '\\StructType\\LabelName',
            'ArrayOfTunnelAccompanyingPerson' => '\\ArrayType\\ArrayOfTunnelAccompanyingPerson',
            'TunnelAccompanyingPerson' => '\\StructType\\TunnelAccompanyingPerson',
            'HasAccessAbandonementCart' => '\\StructType\\HasAccessAbandonementCart',
            'HasAccessAbandonementCartResponse' => '\\StructType\\HasAccessAbandonementCartResponse',
            'GetStartingFromPriceFile' => '\\StructType\\GetStartingFromPriceFile',
            'GetStartingFromPriceFileResponse' => '\\StructType\\GetStartingFromPriceFileResponse',
            'GetInjectedOffers' => '\\StructType\\GetInjectedOffers',
            'FilterOffreInjectee' => '\\StructType\\FilterOffreInjectee',
            'CanauxAffectation' => '\\StructType\\CanauxAffectation',
            'ArrayOfTypeHebergement' => '\\ArrayType\\ArrayOfTypeHebergement',
            'GetInjectedOffersResponse' => '\\StructType\\GetInjectedOffersResponse',
            'ArrayOfInjectedOfferInfo' => '\\ArrayType\\ArrayOfInjectedOfferInfo',
            'InjectedOfferInfo' => '\\StructType\\InjectedOfferInfo',
            'GeneralOfferInformation' => '\\StructType\\GeneralOfferInformation',
            'OfferCodage' => '\\StructType\\OfferCodage',
            'OfferCommission' => '\\StructType\\OfferCommission',
            'Person' => '\\StructType\\Person',
            'OfferAccount' => '\\StructType\\OfferAccount',
            'OfferBookingFees' => '\\StructType\\OfferBookingFees',
            'StayDuration' => '\\StructType\\StayDuration',
            'ArrayOfEstablishmentInformation' => '\\ArrayType\\ArrayOfEstablishmentInformation',
            'Filter' => '\\StructType\\Filter',
            'ArrayOfPeriode' => '\\ArrayType\\ArrayOfPeriode',
            'Periode' => '\\StructType\\Periode',
            'GetIncreasedPricesInformationList' => '\\StructType\\GetIncreasedPricesInformationList',
            'GetIncreasedPricesInformationListResponse' => '\\StructType\\GetIncreasedPricesInformationListResponse',
            'ArrayOfIncreasedPricesInformation' => '\\ArrayType\\ArrayOfIncreasedPricesInformation',
            'IncreasedPricesInformation' => '\\StructType\\IncreasedPricesInformation',
            'GetEstablishmentSocialNetworks' => '\\StructType\\GetEstablishmentSocialNetworks',
            'SocialNetworkFilter' => '\\StructType\\SocialNetworkFilter',
            'ArrayOfSocialNetworksName' => '\\ArrayType\\ArrayOfSocialNetworksName',
            'GetEstablishmentSocialNetworksResponse' => '\\StructType\\GetEstablishmentSocialNetworksResponse',
            'ArrayOfSocialEstablishmentNetwork' => '\\ArrayType\\ArrayOfSocialEstablishmentNetwork',
            'SocialEstablishmentNetwork' => '\\StructType\\SocialEstablishmentNetwork',
            'SocialNetwork' => '\\StructType\\SocialNetwork',
            'ArrayOfSocialUrl' => '\\ArrayType\\ArrayOfSocialUrl',
            'SocialUrl' => '\\StructType\\SocialUrl',
            'GetQuote' => '\\StructType\\GetQuote',
            'ArrayOfGuest' => '\\ArrayType\\ArrayOfGuest',
            'Guest' => '\\StructType\\Guest',
            'GetQuoteResponse' => '\\StructType\\GetQuoteResponse',
            'SearchQuote' => '\\StructType\\SearchQuote',
            'SearchQuoteResponse' => '\\StructType\\SearchQuoteResponse',
            'CheckQuote' => '\\StructType\\CheckQuote',
            'StayIdentifier' => '\\StructType\\StayIdentifier',
            'CheckQuoteParameters' => '\\StructType\\CheckQuoteParameters',
            'CheckQuoteResponse' => '\\StructType\\CheckQuoteResponse',
            'CheckQuoteResult' => '\\StructType\\CheckQuoteResult',
            'getEntityTypeAttributes' => '\\StructType\\GetEntityTypeAttributes',
            'getEntityTypeAttributesResponse' => '\\StructType\\GetEntityTypeAttributesResponse',
            'getEntityTypeAttributesResult' => '\\StructType\\GetEntityTypeAttributesResult',
            'GetEstablishmentInformations' => '\\StructType\\GetEstablishmentInformations',
            'wsMoreInfoSettings' => '\\StructType\\WsMoreInfoSettings',
            'wsMoreInfoFilterEstablishment' => '\\StructType\\WsMoreInfoFilterEstablishment',
            'wsMoreInfoFilterProduct' => '\\StructType\\WsMoreInfoFilterProduct',
            'ArrayOfTypeOfProduct' => '\\ArrayType\\ArrayOfTypeOfProduct',
            'wsMoreInfoOutputInformations' => '\\StructType\\WsMoreInfoOutputInformations',
            'ArrayOfEstablishmentMainFeature' => '\\ArrayType\\ArrayOfEstablishmentMainFeature',
            'ArrayOfProductsInventoryCategory' => '\\ArrayType\\ArrayOfProductsInventoryCategory',
            'ArrayOfPhotoCategory' => '\\ArrayType\\ArrayOfPhotoCategory',
            'GetEstablishmentInformationsResponse' => '\\StructType\\GetEstablishmentInformationsResponse',
            'GetEstablishmentPhotos' => '\\StructType\\GetEstablishmentPhotos',
            'GetEstablishmentPhotosResponse' => '\\StructType\\GetEstablishmentPhotosResponse',
            'ArrayOfEstablishmentInfo' => '\\ArrayType\\ArrayOfEstablishmentInfo',
            'GetActiveKeysFromEngine' => '\\StructType\\GetActiveKeysFromEngine',
            'GetActiveKeysFromEngineResponse' => '\\StructType\\GetActiveKeysFromEngineResponse',
            'ArrayOfEstablishmentUpdatedOn' => '\\ArrayType\\ArrayOfEstablishmentUpdatedOn',
            'EstablishmentUpdatedOn' => '\\StructType\\EstablishmentUpdatedOn',
            'BaseUpdatedOn' => '\\StructType\\BaseUpdatedOn',
            'ProductUpdatedOn' => '\\StructType\\ProductUpdatedOn',
            'ArrayOfProductUpdatedOn' => '\\ArrayType\\ArrayOfProductUpdatedOn',
            'GetCatalogue' => '\\StructType\\GetCatalogue',
            'CatalogueItemsFilter' => '\\StructType\\CatalogueItemsFilter',
            'GetCatalogueResponse' => '\\StructType\\GetCatalogueResponse',
            'ArrayOfCatalogue' => '\\ArrayType\\ArrayOfCatalogue',
            'Catalogue' => '\\StructType\\Catalogue',
        );
    }
}
