<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CompleteOfferSortByThematic StructType
 * @subpackage Structs
 */
class CompleteOfferSortByThematic extends AbstractStructBase
{
    /**
     * The nbBestOfferMax
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $nbBestOfferMax;
    /**
     * The nbBestOfferMaxIsByEstablishment
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $nbBestOfferMaxIsByEstablishment;
    /**
     * The nbEstablishmentMax
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * - nillable: true
     * @var int
     */
    public $nbEstablishmentMax;
    /**
     * The sortByExpirationDate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $sortByExpirationDate;
    /**
     * The bestOfferByBestAdministrativeZone1
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\BestOfferByBestAdministrativeZone1
     */
    public $bestOfferByBestAdministrativeZone1;
    /**
     * The bestOfferInSpecificRadius
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \StructType\BestOfferInSpecificRadius
     */
    public $bestOfferInSpecificRadius;
    /**
     * Constructor method for CompleteOfferSortByThematic
     * @uses CompleteOfferSortByThematic::setNbBestOfferMax()
     * @uses CompleteOfferSortByThematic::setNbBestOfferMaxIsByEstablishment()
     * @uses CompleteOfferSortByThematic::setNbEstablishmentMax()
     * @uses CompleteOfferSortByThematic::setSortByExpirationDate()
     * @uses CompleteOfferSortByThematic::setBestOfferByBestAdministrativeZone1()
     * @uses CompleteOfferSortByThematic::setBestOfferInSpecificRadius()
     * @param int $nbBestOfferMax
     * @param bool $nbBestOfferMaxIsByEstablishment
     * @param int $nbEstablishmentMax
     * @param bool $sortByExpirationDate
     * @param \StructType\BestOfferByBestAdministrativeZone1 $bestOfferByBestAdministrativeZone1
     * @param \StructType\BestOfferInSpecificRadius $bestOfferInSpecificRadius
     */
    public function __construct($nbBestOfferMax = null, $nbBestOfferMaxIsByEstablishment = null, $nbEstablishmentMax = null, $sortByExpirationDate = null, \StructType\BestOfferByBestAdministrativeZone1 $bestOfferByBestAdministrativeZone1 = null, \StructType\BestOfferInSpecificRadius $bestOfferInSpecificRadius = null)
    {
        $this
            ->setNbBestOfferMax($nbBestOfferMax)
            ->setNbBestOfferMaxIsByEstablishment($nbBestOfferMaxIsByEstablishment)
            ->setNbEstablishmentMax($nbEstablishmentMax)
            ->setSortByExpirationDate($sortByExpirationDate)
            ->setBestOfferByBestAdministrativeZone1($bestOfferByBestAdministrativeZone1)
            ->setBestOfferInSpecificRadius($bestOfferInSpecificRadius);
    }
    /**
     * Get nbBestOfferMax value
     * @return int
     */
    public function getNbBestOfferMax()
    {
        return $this->nbBestOfferMax;
    }
    /**
     * Set nbBestOfferMax value
     * @param int $nbBestOfferMax
     * @return \StructType\CompleteOfferSortByThematic
     */
    public function setNbBestOfferMax($nbBestOfferMax = null)
    {
        // validation for constraint: int
        if (!is_null($nbBestOfferMax) && !(is_int($nbBestOfferMax) || ctype_digit($nbBestOfferMax))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($nbBestOfferMax, true), gettype($nbBestOfferMax)), __LINE__);
        }
        $this->nbBestOfferMax = $nbBestOfferMax;
        return $this;
    }
    /**
     * Get nbBestOfferMaxIsByEstablishment value
     * @return bool
     */
    public function getNbBestOfferMaxIsByEstablishment()
    {
        return $this->nbBestOfferMaxIsByEstablishment;
    }
    /**
     * Set nbBestOfferMaxIsByEstablishment value
     * @param bool $nbBestOfferMaxIsByEstablishment
     * @return \StructType\CompleteOfferSortByThematic
     */
    public function setNbBestOfferMaxIsByEstablishment($nbBestOfferMaxIsByEstablishment = null)
    {
        // validation for constraint: boolean
        if (!is_null($nbBestOfferMaxIsByEstablishment) && !is_bool($nbBestOfferMaxIsByEstablishment)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($nbBestOfferMaxIsByEstablishment, true), gettype($nbBestOfferMaxIsByEstablishment)), __LINE__);
        }
        $this->nbBestOfferMaxIsByEstablishment = $nbBestOfferMaxIsByEstablishment;
        return $this;
    }
    /**
     * Get nbEstablishmentMax value
     * @return int
     */
    public function getNbEstablishmentMax()
    {
        return $this->nbEstablishmentMax;
    }
    /**
     * Set nbEstablishmentMax value
     * @param int $nbEstablishmentMax
     * @return \StructType\CompleteOfferSortByThematic
     */
    public function setNbEstablishmentMax($nbEstablishmentMax = null)
    {
        // validation for constraint: int
        if (!is_null($nbEstablishmentMax) && !(is_int($nbEstablishmentMax) || ctype_digit($nbEstablishmentMax))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($nbEstablishmentMax, true), gettype($nbEstablishmentMax)), __LINE__);
        }
        $this->nbEstablishmentMax = $nbEstablishmentMax;
        return $this;
    }
    /**
     * Get sortByExpirationDate value
     * @return bool
     */
    public function getSortByExpirationDate()
    {
        return $this->sortByExpirationDate;
    }
    /**
     * Set sortByExpirationDate value
     * @param bool $sortByExpirationDate
     * @return \StructType\CompleteOfferSortByThematic
     */
    public function setSortByExpirationDate($sortByExpirationDate = null)
    {
        // validation for constraint: boolean
        if (!is_null($sortByExpirationDate) && !is_bool($sortByExpirationDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($sortByExpirationDate, true), gettype($sortByExpirationDate)), __LINE__);
        }
        $this->sortByExpirationDate = $sortByExpirationDate;
        return $this;
    }
    /**
     * Get bestOfferByBestAdministrativeZone1 value
     * @return \StructType\BestOfferByBestAdministrativeZone1|null
     */
    public function getBestOfferByBestAdministrativeZone1()
    {
        return $this->bestOfferByBestAdministrativeZone1;
    }
    /**
     * Set bestOfferByBestAdministrativeZone1 value
     * @param \StructType\BestOfferByBestAdministrativeZone1 $bestOfferByBestAdministrativeZone1
     * @return \StructType\CompleteOfferSortByThematic
     */
    public function setBestOfferByBestAdministrativeZone1(\StructType\BestOfferByBestAdministrativeZone1 $bestOfferByBestAdministrativeZone1 = null)
    {
        $this->bestOfferByBestAdministrativeZone1 = $bestOfferByBestAdministrativeZone1;
        return $this;
    }
    /**
     * Get bestOfferInSpecificRadius value
     * @return \StructType\BestOfferInSpecificRadius|null
     */
    public function getBestOfferInSpecificRadius()
    {
        return $this->bestOfferInSpecificRadius;
    }
    /**
     * Set bestOfferInSpecificRadius value
     * @param \StructType\BestOfferInSpecificRadius $bestOfferInSpecificRadius
     * @return \StructType\CompleteOfferSortByThematic
     */
    public function setBestOfferInSpecificRadius(\StructType\BestOfferInSpecificRadius $bestOfferInSpecificRadius = null)
    {
        $this->bestOfferInSpecificRadius = $bestOfferInSpecificRadius;
        return $this;
    }
}
